Bestanden

Bestanden

Bestanden ophalen en verwijderen. Scope: files.read / files.write.

Bestanden ophalen

GET /v1/files
files.read
Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Request body

Geen

Response
data object[]
meta object[]

Examples

GET /v1/files
curl -X GET "https://api.appficient.nl/v1/files" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json"

Curl, Node en response staan rechts naast dit endpoint.

Bestand ophalen

GET /v1/files/{id}
files.read
Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Path
Naam Type Beschrijving
id Required string Resource id (UUID, lowercase)
Request body

Geen

Response
data object Required
id string
name string
extension string
url string
created_at string
meta object Required

Examples

GET /v1/files/{id}
curl -X GET "https://api.appficient.nl/v1/files/{id}" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json"

Curl, Node en response staan rechts naast dit endpoint.

Bestand verwijderen

DELETE /v1/files/{id}
files.write
Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Path
Naam Type Beschrijving
id Required string Resource id (UUID, lowercase)
Request body

Geen

Response

Geen

Examples

DELETE /v1/files/{id}
curl -X DELETE "https://api.appficient.nl/v1/files/{id}" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json"

Curl, Node en response staan rechts naast dit endpoint.